<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<?php

  // SET DEFAULTS HERE

  $meta_title = "LEMPICKA | Official Broadway Website";
  $meta_description = "A new musical about the life of revolutionary artist Tamara de Lempicka. Directed by Tony Winner Rachel Chavkin. Coming to Broadway March 19, 2024.";
  $meta_sitename = "LEMPICKA | Official Broadway Website";
  $meta_fbid = "";


  // OVERRIDE DEFAULTS HERE
  switch($page){

    case "tickets":
      $meta_title = "Get Tickets | LEMPICKA | Official Broadway Website";
      $meta_description = "Get tickets to the new musical about the life of revolutionary artist Tamara de Lempicka. Coming to Broadway March 19, 2024.";
      break;

    case "music":
      $meta_title = "Music | LEMPICKA | Official Broadway Website";
      $meta_description = "Watch the Official Music Video, Stream the Original Cast Recording, and download sheet music.";
      break;

    case "cast":
      $meta_title = "Cast | LEMPICKA | Official Broadway Website";
      $meta_description = "Learn about our cast.";
      break;

    case "creatives":
      $meta_title = "Creative Team | LEMPICKA | Official Broadway Website";
      $meta_description = "Learn about our creative team.";
      break;

    case "privacy":
      $meta_title = "Privacy | LEMPICKA | Official Broadway Website";
      $meta_description = "Read our privacy policy.";
      break;

    case "cookies":
      $meta_title = "Cookies | LEMPICKA | Official Broadway Website";
      $meta_description = "Read about how we use cookies.";
      break;

    case "gdpr":
      $meta_title = "GDPR | LEMPICKA | Official Broadway Website";
      $meta_description = "Read about what we do to comply with the General Data Protection Regulation (GDPR).";
      break;

  }

?>

<title><?= $meta_title ?></title>

<!-- DEFAULT META -->
<meta name="description" content="<?= $meta_description ?>">
<meta name="author" content="SpotCo">

<!-- FACBOOK META-->
<meta property="og:title" content="<?= $meta_title ?>">
<meta property="og:description" content="<?= $meta_description ?>">
<meta property="og:image" content="<?= $base ?>_img/share-facebook.jpg?v=1">
<meta property="og:url" content="<?php if($page=="home"){ echo $base; }else{ echo $base.$page; }?>">
<meta property="og:type" content="article">
<meta property="og:site_name" content="<?= $meta_sitename ?>">
<meta property="fb:admins" content="<?= $meta_fbid ?>">

<!-- TWITTER META -->
<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:site" content="@lempickamusical">
<meta name="twitter:title" content="<?= $meta_title ?>">
<meta name="twitter:description" content="<?= $meta_description ?>">
<meta name="twitter:creator" content="@lempickamusical">
<meta name="twitter:image:src" content="<?= $base ?>_img/share-twitter.jpg?v=1">

<!-- GOOGLE+ META -->
<meta itemprop="name" content="<?= $meta_title ?>">
<meta itemprop="description" content="<?= $meta_description ?>">
<meta itemprop="image" content="<?= $base ?>_img/share-google.jpg?v=1">
