// jQuery Namespace
$(document).ready(function() {
    bioGrid.bioNav();
  
    $.get("./news.html", function(data) {
    $('#news-items-hide').html(data);
    var newsArray = [];
    $( ".news-item" ).each(function() {
      newsArray.push($(this));
    });
  
    for (var i = 0; i <= 11; i++){
      $('.news-div').append(newsArray[i]);
    }
  
    $('.buzz-page').addClass('buzz-loaded');
  });
  
  function newsHeight() {
     var heightArray = $(".news-item").map(function() {
          return  $(this).height();
     }).get();
     var maxHeight = Math.max.apply(Math, heightArray);
     $(".news-item").height(maxHeight + 10);
  }
  
  function newsClass() {
    $('.news-item a').each(function() {
      $(this).addClass('press-link');
    });
  }
  
  
  $(window).on('resize', function(){
      $(".news-item").css("height", "");
      newsHeight();
  });
  
  var bioGrid = {};
  //Next/Previous navigation
  bioGrid.bioNav = function () {
    $(".overlay .next").click(function(e) {
      e.preventDefault();
      $(".overlay .prev").show();
      if (bioGrid.bioindex == (bioGrid.bios.length - 2)) {
        $(this).hide();
      }
      else {
        $(this).show();
      }
      bioGrid.bioindex = bioGrid.bioindex + 1;
      $("#overlay-inner").fadeOut(300, function() {
        $(this).html(bioGrid.bios[bioGrid.bioindex]).fadeIn(500);
      });
    });
  
    $(".overlay .prev").click(function(e) {
        e.preventDefault();
        $(".overlay .next").show();
        if (bioGrid.bioindex == 1) {
          $(this).hide();
        } else {
          $(this).show();
        }
        bioGrid.bioindex = bioGrid.bioindex - 1;
        $("#overlay-inner").fadeOut(300, function() {
            $(this).html(bioGrid.bios[bioGrid.bioindex]).fadeIn(500);
        });
    });
  };
  // //news toggle
  // $('.reviews-link').click(function(e){
  //   e.preventDefault();
  //   if($(this).hasClass('active')) {
  //   } else {
  //     $(this).addClass('active');
  //     $('#news-block').hide();
  //     $('.news-link').removeClass('active');
  //     $('#reviews-block').fadeIn();
  //     $('#reviews-block').css({
  //       'opacity':'1',
  //       'height':'auto',
  //       'visibility':'visible'
  //     });
  //   }
  // });
  
  // $('.news-link').click(function(e){
  //   e.preventDefault();
  //   if($(this).hasClass('active')) {
  //   } else {
  //     $(this).addClass('active');
  //     $('.reviews-link').removeClass('active');
  //     $('#reviews-block').hide();
  //     $('#news-block').fadeIn();
  //     setTimeout(newsHeight, 1000);
  //     setTimeout(newsClass, 1000);
  //   }
  // });
  
  /* IMAGE ROTATION */
  $(".mobile-imgs > div:gt(0)").hide();
  setInterval(function() {
    $('.mobile-imgs > div:first')
      .fadeOut(1000)
      .next()
      .fadeIn(1000)
      .end()
      .appendTo('.mobile-imgs');
    }, 3000);
  
    function heightFix() {
      var slideHeight = $('.review-img-sm').height();
      $('.mobile-imgs').height(slideHeight);
    }
  
    heightFix();
  
    $(window).resize(function() {
        "use strict";
        heightFix();
    });
  
  
  });
  