<!DOCTYPE html>
<html lang="en">
<head><?php
/*
  define global variables
  -----------------------------*/

  // site info
  $version_number = "4.41";

  // URL / domain info
  $staging_directory_name = "lempicka";
  $production_domain = "lempickamusical.com";
  $production_company = ""; // for copyright in footer and legal notices

  // set ticketing links
  $main_ticket_link = "https://tickets.broadwaydirect.com/tickets/series/536742";
  $premium_ticket_link = "";
  $group_ticket_link = "";
  $presale_ticket_link = "";

  // set social links
  $show_facebook_link = "https://www.facebook.com/LempickaMusical/";
  $show_twitter_link = "https://twitter.com/lempickamusical";
  $show_instagram_link = "https://www.instagram.com/lempickamusical/";
  $show_tiktok_link = "https://www.tiktok.com/@lempickamusical";

  // set important dates
  $presale_start_date = "2029-01-01 04:00:00"; //
  $presale_end_date = "2029-01-01 04:00:00"; //
  $onsale_start_date = "2029-01-01 04:00:00"; //
  $previews_start_date = "2029-01-01 04:00:00"; //
  $previews_end_date = "2029-01-01 04:00:00"; //
  $show_first_showtime = "2029-01-01 04:00:00"; //
  $show_opening_date = "2029-01-01 04:00:00"; //
  $show_end_date = "2029-01-01 04:00:00"; //

  include './_inc/functions.php';

?>
<!-- HEAD -->
<?php include './_inc/head.php'; ?>
<!-- END HEAD -->
</head>

<body class="<?php echo $page; ?>">
<?php include './_inc/scripts-inline.php'; ?>
<!-- OUTERWRAPPER <?php var_dump($url_array); echo $page; ?> -->
<div id="outerwrapper" onclick="void(0);">
<!-- HEADER -->
<?php include './_inc/page-header.php'; ?>
<!-- END HEADER -->

<!-- KEYART -->
<?php if( $page == "home" ) {
    include './_inc/keyart.php';
  } elseif( $page == "about" ) {
    include './_inc/keyart-alt.php';
  } ?>
<!-- END KEYART -->
<!-- PAGE CONTENT -->
<main id="content">
<?php include './_pages/'.$page.'.php'; ?>
</main>
<!-- END PAGE CONTENT -->
<!-- FOOTER -->
<?php include './_inc/page-footer.php'; ?>
<!-- END FOOTER -->
</div>
<!-- END OUTERWRAPPER -->
<?php include './_inc/overlay.php'; ?>
<!-- SCRIPTS -->
<?php include './_inc/scripts-footer.php'; ?>
<!-- END SCRIPTS -->
</body>
</html>