<?php if( $page == 'home' ): ?>
<div id="mc-overlay" class="overlay fade">
  <div class="scroll-window">
    <div class="overlay-inner">
      <?php include './_inc/mailchimp-embed.php'; ?>
    </div>
  </div>
  <nav>
    <button aria-label="close" class="close"><?php include '_img/_svg/x.svg'; ?></button>
  </nav>
</div>
<?php elseif( $page == 'cast' || $page == 'creatives' ): ?>
<div id="team-overlay" class="overlay">
  <div class="scroll-window">
    <div class="overlay-inner"></div>
  </div>
  <nav>
    <button aria-label="close" class="close"><?php include '_img/_svg/x.svg'; ?></button>
    <button aria-label="previous" class="prev"><?php include '_img/_svg/arrow-left.svg'; ?></button>
    <button aria-label="next" class="next"><?php include '_img/_svg/arrow-right.svg'; ?></button>
  </nav>
</div>
<?php elseif($page == "videos" || $page == "music" || $page == "signup" || $page == "opening-night"): ?>
<div id="video-overlay" class="overlay">
  <div class="scroll-window">
    <div class="overlay-inner"></div>
  </div>
  <nav>
    <button aria-label="close" class="close"><?php include '_img/_svg/x.svg'; ?></button>
  </nav>
</div>
<?php elseif($page == "photos"): ?>
<div id="photo-overlay" class="overlay">
  <div class="scroll-window">
    <div class="overlay-inner">
      <div id="photo-gallery">
        <ul class="photos rotator">
          <?php for($i=0;$i<count($photos);$i++): ?>
          <li class="photo">
            <picture>
              <source type="image/webp" srcset="./_img/_photos/gallery-<?= $photos[$i]['filename'] ?>.webp">
              <source type="image/jpg" srcset="./_img/_photos/gallery-<?= $photos[$i]['filename'] ?>.jpg">
              <img src="./_img/_photos/gallery-<?= $photos[$i]['filename'] ?>.jpg" class="h100" alt="<?= $photos[$i]['caption'] ?>" loading="lazy" width="400">
            </picture>
            <div class="photo-caption"><?= $photos[$i]['caption'] ?></div>
          </li>
          <?php endfor; ?>
        </ul>
        <nav>
          <button aria-label="close" class="close"><?php include '_img/_svg/x.svg'; ?></button>
          <button aria-label="previous" class="prev"><?php include '_img/_svg/arrow-left.svg'; ?></button>
          <button aria-label="next" class="next"><?php include '_img/_svg/arrow-right.svg'; ?></button>
        </nav>  
      </div>
    </div>
  </div>
</div>
<?php endif; ?>